### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.discovery

# Class EventBrokerDiscoveryServiceFactory

java.lang.Object
com.sas.services.AbstractServiceFactory
com.sas.services.events.discovery.EventBrokerDiscoveryServiceFactory

All Implemented Interfaces:
  `ServiceFactoryInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class EventBrokerDiscoveryServiceFactory extends AbstractServiceFactory
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
Factory used to manufacture an event broker discovery service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `EventBrokerDiscoveryServiceInterface`

Since:
  1.0
See Also:
  - `AbstractServiceFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventBrokerDiscoveryServiceFactory()`
  Deprecated.
  As of release 9.2, this class is no longer being supported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final EventBrokerDiscoveryServiceInterface`
  `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.
  `final RemoteServiceInterface`
  `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.

  ### Methods inherited from class com.sas.services.AbstractServiceFactory

  `getService, getServiceProfile, isSingletonFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventBrokerDiscoveryServiceFactory

    public EventBrokerDiscoveryServiceFactory()
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Constructs a default instance.

- ## Method Details

  - ### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Instantiates a new Event Broker Discovery service initialized with the specified configuration.
    Specified by:
      `getService` in interface `ServiceFactoryInterface`
    Specified by:
      `getService` in class `AbstractServiceFactory`
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - This discovery service which may be used to locate other services. A service which is discoverable must register itself with this discovery service.
    Returns:
      A service that implements `EventBrokerDiscoveryServiceInterface`.
    Throws:
      `ServiceException` - if unable to create an Event Broker Discovery service. This exception may wrap a `RemoteException`.
    See Also:
      - `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

  - ### createService

    public static final EventBrokerDiscoveryServiceInterface createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Instantiates a new Event Broker Discovery service initialized with the specified configuration.
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - This discovery service which may be used to locate other services. A service which is discoverable must register itself with this discovery service.
    Returns:
      A service that implements `EventBrokerDiscoveryServiceInterface`.
    Throws:
      `ServiceException` - if unable to create an Event Broker Discovery service. This exception may wrap a `RemoteException`.